import request from '@/utils/request'

// 查询实名认证信息列表
export function listRealName(query) {
  return request({
    url: '/bst/realName/list',
    method: 'get',
    params: query
  })
}

// 查询实名认证信息详细
export function getRealName(id) {
  return request({
    url: '/bst/realName/' + id,
    method: 'get'
  })
}

// 新增实名认证信息
export function addRealName(data) {
  return request({
    url: '/bst/realName',
    method: 'post',
    data: data
  })
}

// 修改实名认证信息
export function updateRealName(data) {
  return request({
    url: '/bst/realName',
    method: 'put',
    data: data
  })
}

// 删除实名认证信息
export function delRealName(id) {
  return request({
    url: '/bst/realName/' + id,
    method: 'delete'
  })
}
